Subject: Re: [PATCH -next] x86: apic_flat_64.c needs module.h

From: Ingo Molnar <[email-masked]>
Date: Mon, 23 May 2011 21:10:43 +0200

* Randy Dunlap <[email-masked]> wrote:

> >>>  arch/x86/kernel/apic/apic_flat_64.c |    1 +
> >>>  1 file changed, 1 insertion(+)
> >>>
> >>> --- linux-next-20110523.orig/arch/x86/kernel/apic/apic_flat_64.c
> >>> +++ linux-next-20110523/arch/x86/kernel/apic/apic_flat_64.c
> >>> @@ -16,6 +16,7 @@
> >>>  #include <linux/ctype.h>
> >>>  #include <linux/init.h>
> >>>  #include <linux/hardirq.h>
> >>> +#include <linux/module.h>
> >>>  #include <asm/smp.h>
> >>>  #include <asm/apic.h>
> >>>  #include <asm/ipi.h>
> >>
> >> Thanks Randy! For some reason I didn't hit this problem while
> >> were compiling the kernel and testing it (I usually do not use
> >> modules though).
> >>
> >> I've CC'ed Ingo and Suresh.
> >>
> > 
> > Randy, while adding module.h here is correct I fail to see why I didn't
> > hit this problem before, could you please post your config?
> 
> Certainly, it's attached.  It's a randconfig file.
> I saw this build error on roughly 5 out of 15 randconfig builds.
> 
> CONFIG_SMP is disabled...

Your config builds just fine here, using latest -tip:

 tip/master 726281b: Merge branch 'tools/kvm'

 Kernel: arch/x86/boot/bzImage is ready  (#2)

or using x86/apic directly:

 tip/x86/apic 1a8880a: x86, apic: Make apic drivers static

 System is 3001 kB
 CRC 882c2d5c
 Kernel: arch/x86/boot/bzImage is ready  (#3)

Has linux-next changed something that triggers this build bug?

Thanks,

	Ingo